Account, security & notifications
Get Valid Transitions
Returns a role current employment type and the employment types it may transition to.
GEThttps://api.toku.com/hris/get-valid-transitions
Required scope: people:read
curl --request GET \
--url 'https://api.toku.com/hris/get-valid-transitions?roleInOrgID=%3CroleInOrgID%3E' \
--header 'Authorization: Bearer <token>'200 response
{
"currentEmploymentType": "CONTRACTOR",
"validTransitions": [
"CONTRACTOR"
]
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Query parameters
roleInOrgIDstring<uuid>requiredResponse
200Successful response
currentEmploymentTypestringrequiredAvailable options: CONTRACTOR, EMPLOYEE, EX_EMPLOYEE, ADVISOR, SERVICE_PROVIDER, OTHER
validTransitionsstring[]required400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits